osl::checkmate::ProofNumberTable::Table Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::checkmate::ProofNumberTable::Table Struct Reference
Collaboration diagram for osl::checkmate::ProofNumberTable::Table:
[legend]

## Public Member Functions
| Table ()

## Public Attributes
CArray2d< CArray< Liberty, DIRECTION_SIZE >, 0x100u, PTYPE_SIZE > | liberties
| 一つの王手 -> Liberty: long なdirection は1マスあけた王手を意味する More...
CArray2d< uint8_t, 0x10000u, 8 > | drop_liberty
| 全ての有効drop -> 最小liberty. More...
CArray2d< uint8_t, 0x100u, 0x100u > | pmajor_liberty
| 龍や馬で王手をかけられる時のliberty: [liberty][move_mask] More...
CArray2d< uint8_t, 0x100u, 0x100u > | promote_liberty
| 王が1,2段目にいる時の移動王手によるliberty: [liberty][move_mask]. More...
CArray2d< uint8_t, 0x100u, 0x100u > | other_move_liberty
| それ以外の移動liberty: [liberty][move_mask] More...

## Detailed Description

Definition at line 35 of file proofNumberTable.h.

## Constructor & Destructor Documentation

osl::checkmate::ProofNumberTable::Table::Table | ( | ) |  |

Definition at line 71 of file proofNumberTable.cc.

## Member Data Documentation

CArray2d<uint8_t,0x10000u,8> osl::checkmate::ProofNumberTable::Table::drop_liberty

全ての有効drop -> 最小liberty.

liberty 8bit + 有効drop 8bit + 最小値 -> ptype mask

Definition at line 43 of file proofNumberTable.h.

CArray2d<CArray<Liberty,DIRECTION_SIZE>,0x100u,PTYPE_SIZE> osl::checkmate::ProofNumberTable::Table::liberties

一つの王手 -> Liberty: long なdirection は1マスあけた王手を意味する

Definition at line 39 of file proofNumberTable.h.

CArray2d<uint8_t,0x100u,0x100u> osl::checkmate::ProofNumberTable::Table::other_move_liberty

それ以外の移動liberty: [liberty][move_mask]

Definition at line 51 of file proofNumberTable.h.

CArray2d<uint8_t,0x100u,0x100u> osl::checkmate::ProofNumberTable::Table::pmajor_liberty

龍や馬で王手をかけられる時のliberty: [liberty][move_mask]

Definition at line 45 of file proofNumberTable.h.

CArray2d<uint8_t,0x100u,0x100u> osl::checkmate::ProofNumberTable::Table::promote_liberty

王が1,2段目にいる時の移動王手によるliberty: [liberty][move_mask].

それ以外でUに金類が移動できる場合もこれで良いか．

Definition at line 49 of file proofNumberTable.h.

The documentation for this struct was generated from the following files:

- proofNumberTable.h
- proofNumberTable.cc